{include file='header' pageTitle='wcf.acp.didyouknow.'|concat:$action}

<script data-relocate="true">
	//<![CDATA[
	$(function() {
		if ({#$useOwnSettings}) { 
			$('#settingsDiv').show(); 
		} else { 
			$('#settingsDiv').hide(); 
		}
	});
	//]]>
</script>

<header class="boxHeadline">
	<h1>{lang}wcf.acp.didyouknow.{$action}{/lang}</h1>
</header>

{include file='formError'}

{if $success|isset}
	<p class="success">{lang}wcf.global.success.{$action}{/lang}</p>
{/if}

<div class="contentNavigation">
	<nav>
		<ul>
			<li><a href="{link controller='DidYouKnowList'}{/link}" class="button"><span class="icon icon16 fa-list"></span> <span>{lang}wcf.acp.menu.link.content.didyouknow.list{/lang}</span></a></li>
			
			{event name='contentNavigationButtons'}
		</ul>
	</nav>
</div>

{if $preview|isset}
	<div id="preview" class="container containerPadding shadow">
		<fieldset>
			<legend>{lang}wcf.acp.didyouknow.preview{/lang}</legend>
			{@$preview}
		</fieldset>
	</div>
{/if}

<form method="post" action="{if $action == 'add'}{link controller='DidYouKnowEntryAdd'}{/link}{else}{link controller='DidYouKnowEntryEdit' object=$entryObj}{/link}{/if}">
	<div class="container containerPadding marginTop shadow">
		<fieldset>
			<legend>{lang}wcf.acp.didyouknow.message{/lang}</legend>
		
			<dl{if $errorField == 'message'} class="formError"{/if}>
				<dt><label for="message">{lang}wcf.acp.didyouknow.message{/lang}</label></dt>
				<dd>
					<textarea id="message" name="message" class="wysiwygTextarea" cols="40" autofocus="autofocus" rows="10">{$message}</textarea>	
					{include file='wysiwyg' wysiwygSelector='message'}
					{if $errorField == 'message'}
						<small class="innerError">
							{lang}wcf.global.form.error.empty{/lang}
						</small>
					{/if}
				</dd>
			</dl>
			
			<dl{if $errorField == 'enableSmilies'} class="formError"{/if}>
				<dt class="reversed"><label for="enableSmilies">{lang}wcf.acp.didyouknow.enableSmilies{/lang}</label></dt>
				<dd>
					<input type="checkbox" id="enableSmilies"  name="enableSmilies" value="1" {if $enableSmilies}checked="checked" {/if}/>						
				</dd>
			</dl>
			<dl{if $errorField == 'enableHtml'} class="formError"{/if}>
				<dt class="reversed"><label for="enableHtml">{lang}wcf.acp.didyouknow.enableHtml{/lang}</label></dt>
				<dd>
					<input type="checkbox" id="enableHtml"  name="enableHtml" value="1" {if $enableHtml}checked="checked" {/if}/>						
				</dd>
			</dl>
			<dl{if $errorField == 'enableBBCodes'} class="formError"{/if}>
				<dt class="reversed"><label for="enableBBCodes">{lang}wcf.acp.didyouknow.enableBBCodes{/lang}</label></dt>
				<dd>
					<input type="checkbox" id="enableBBCodes"  name="enableBBCodes" value="1" {if $enableBBCodes}checked="checked" {/if}/>						
				</dd>
			</dl>
			{event name='settingFields'}
		</fieldset>
		<fieldset>
			<legend>{lang}wcf.acp.didyouknow.position{/lang}</legend>
				
			{if $action == 'edit'}
				<dl>
					<dt>{lang}wcf.acp.didyouknow.views{/lang}</dt>
					<dd>
						{#$entryObj->views}
					</dd>
				</dl>
			{/if}
			<dl{if $errorField == 'priority'} class="formError"{/if}>
				<dt><label for="priority">{lang}wcf.acp.didyouknow.priority{/lang}</label></dt>
				<dd>
					<input type="text" id="priority" name="priority" value="{$priority}" class="short" />
					{if $errorField == 'priority'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.acp.didyouknow.priority.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}	
				</dd>
			</dl>
			{event name='additionalSettings'}
		</fieldset>
		<fieldset>
			<legend>
				<input type="checkbox" id="useOwnSettings"  name="useOwnSettings" value="1" {if $useOwnSettings}checked="checked" {/if}onclick="if (this.checked == true){ $('#settingsDiv').show(); }else{ $('#settingsDiv').hide(); }" /> 
				<label for="useOwnSettings">{lang}wcf.acp.didyouknow.useOwnSettings{/lang}</label>				
			</legend>
			<div id="settingsDiv">
				<dl{if $errorField == 'align'} class="formError"{/if}>
					<dt><label for="align">{lang}wcf.acp.didyouknow.align{/lang}</label></dt>
					<dd>
						<select id="align" name="align">
							<option value="left"{if $align == 'left'} selected="selected"{/if}>{lang}wcf.acp.didyouknow.align.left{/lang}</option>
							<option value="center"{if $align == 'center'} selected="selected"{/if}>{lang}wcf.acp.didyouknow.align.center{/lang}</option>
							<option value="right"{if $align == 'right'} selected="selected"{/if}>{lang}wcf.acp.didyouknow.align.right{/lang}</option>
						</select>
					</dd>
				</dl>
			</div>
		</fieldset>
	</div>
	
	<div class="formSubmit">
		<input type="submit" name="sent" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
		{if $action == 'edit'}<input type="hidden" name="id" value="{@$dykID}" />{/if}
		{@SECURITY_TOKEN_INPUT_TAG}
	</div>
</form>

{include file='footer'}