<?php
namespace wcf\data\didyouknow;
use wcf\data\DatabaseObjectList;
use wcf\system\cache\CacheHandler;
use wcf\system\cache\builder\DidYouKnowCacheBuilder;
use wcf\system\bbcode\MessageParser;
use wcf\system\application\ApplicationHandler;
use wcf\util\StringUtil;

/**
 * Represents a list of did you know entrys.
 * 
 * @author	Jonathan Frick <defense>
 * @copyright	2009-2012 WBB-World
 * @license	Creative Commons BY-SA 3.0 <http://creativecommons.org/licenses/by-sa/3.0/de/legalcode>
 * @package	de.wbb-world.wcf.didyouknow
 * @subpackage	data.didyouknow
 * @category 	Community Framework
 */
class DidYouKnowEntryList extends DatabaseObjectList {
	/**
	 * @see	wcf\data\DatabaseObjectList::$className
	 */
	public $className = 'wcf\data\didyouknow\DidYouKnowEntry';

	/**
	 * Returns a randome entry.
	 */
	public static function getRandomeEntry() {
		// load cache
		$cacheData = DidYouKnowCacheBuilder::getInstance()->getData();
		
		// exit if no entrys were found
		if (!count($cacheData)) return;
		
		// sort by priority
		$sortedEntryList = array();
		foreach($cacheData as $entry) {
		    for($i = 0; $i < $entry->priority; $i++){
				$sortedEntryList[] = $entry;
			}
		}
		
		// get randome entry
		shuffle($sortedEntryList);
		return $sortedEntryList[0];
	}
}
