<?php
namespace wcf\system\box;
use wcf\system\WCF;
use wcf\data\didyouknow\DidYouKnowEntryList;
use wcf\data\didyouknow\DidYouKnowEntryEditor;
use wcf\system\cache\builder\DidYouKnowCacheBuilder;

class DidYouKnowBoxController extends AbstractBoxController {
	/**
	 * @inheritDoc
	 */
	protected static $supportedPositions = ['contentTop', 'contentBottom', 'sidebarLeft', 'sidebarRight','top','bottom'];
	
	/**
	 * @inheritDoc
	 */
	protected function loadContent() {
		// get entry
		$entry = DidYouKnowEntryList::getRandomeEntry();
		
		// update view counter
		if (DIDYOUKNOW_VIEW_COUNTER && !empty($entry)) {
			$editor = new DidYouKnowEntryEditor ($entry);
			$editor->updateViewCount();
		}
		
		WCF::getTPL()->assign(array(
			'didyouknowEntry' => $entry
		));

	    $loadTemp = 'didYouKnowBox';
		$this->content = WCF::getTPL()->fetch($loadTemp,'wcf', [], true);
	}
}